<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<div th:replace="fragments/header-ejecutivo :: header"></div><!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h4>Editar usuario</h4>
            <br> </br>
            <form class="form" id="cliente-editar"> <!--Se muestra el formulario con los datos del cliente previamente seleccionado-->

                <div class="form-group" style="width:49%; float:left;">
                    <!--El campo RUT será solo de lectura-->
                    <label for="rut">RUT:</label>
                    <input id="rut" name="rut" type="text" value="" class="form-control input-md"
                           required="" readonly/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="nombre">Nombre:</label>
                    <input id="nombre" name="nombre" type="text" value="" class="form-control input-md"
                           title="Modifica nombre"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="apellido">Apellido:</label>
                    <input id="apellido" name="apellido" type="text" value="" class="form-control input-md"
                           title="Modifica apellido"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="telefono">Teléfono:</label>
                    <input id="telefono" name="telefono" type="text" value="" class="form-control input-md"
                           title="Modifica telefono"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="correo">Correo:</label>
                    <input id="correo" name="correo" type="text" value="" class="form-control input-md"
                           title="Modifica correo"/>
                </div>

                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Modificar</button>
            </form>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>

<!--Script que toma los datos originales del cliente y los muestra en el formulario-->
<script>
    var rut = "[[${cliente.getRut()}]]";
    var nombre = "[[${cliente.getNombre()}]]";
    var apellido = "[[${cliente.getApellido()}]]";
    var telefono = "[[${cliente.getTelefono()}]]";
    var correo = "[[${cliente.getCorreo()}]]";
    document.getElementById("rut").value = rut;
    document.getElementById("nombre").value = nombre;
    document.getElementById("apellido").value = apellido;
    document.getElementById("telefono").value = telefono;
    document.getElementById("correo").value = correo;
</script>

<script>
    $(document).ready(function () {
        <!--Si se presiona el botón Modificar, se captan los datos del cliente que se encuentran en el formulario-->
        <!--Y posteriormente se envía al URL /cliente/actualizar-->
        $("#cliente-editar").submit(function (e) {
            var datos = {
                idCliente: [[${cliente.getIdCliente()}]],
                rut: "[[${cliente.getRut()}]]",
                nombre: $("input[name=nombre]").val(),
                apellido: $("input[name=apellido]").val(),
                telefono: $("input[name=telefono]").val(),
                correo: $("input[name=correo]").val(),
                visible: true
            }

            $.ajax({
                type: "PUT",
                contentType: 'application/json',
                url: "http://localhost:8080/cliente/actualizar",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjuntar los campos del formulario enviado.
            }).done(function (message) {
                location.href = "http://localhost:8080/clientes";
            }).fail(function (e) {
                console.log("error " + e);
                //location.href = "http://localhost:8080/";
            });
            return false;
        });

    });
</script>

</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>